# Uses of Class
serp.bytecode.NewArrayInstruction

Packages that use NewArrayInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of NewArrayInstruction in serp.bytecode

Methods in serp.bytecode that return NewArrayInstruction
Modifier and Type
Method
Description
`NewArrayInstruction`
Code.`newarray()`
Create a new array of a primitive type; the `newarray` opcode.
`NewArrayInstruction`
NewArrayInstruction.`setTypeCode(int code)`
Set the array code used in the lowlevel bytecode.

## Uses of NewArrayInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type NewArrayInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterNewArrayInstruction(NewArrayInstruction obj)`
`void`
PrettyPrintVisitor.`enterNewArrayInstruction(NewArrayInstruction obj)`
`void`
BCVisitor.`exitNewArrayInstruction(NewArrayInstruction obj)`